Ignora e passa al contenuto principale

Questo browser non è più supportato.

Esegui l'aggiornamento a Microsoft Edge per sfruttare i vantaggi di funzionalità più recenti, aggiornamenti della sicurezza e supporto tecnico.

Scarica Microsoft Edge Scopri di più su Internet Explorer e Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Redteams

Create a redteam run

POST /redTeams/runs:run

Submits a new redteam run for execution with the provided configuration.

Parametri di intestazione

Foundry-Features enum necessario

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

RedTeams=V1Preview

Parametri di query

api-version string necessario

The API version to use for this operation.

Corpo della richiesta

Redteam to be run

Content-Type: application/json
id string necessario

Identifier of the red team run.

displayName string

Name of the red-team run.

numTurns integer

Number of simulation rounds.

attackStrategies AttackStrategy[]

List of attack strategies or nested lists of attack strategies.

simulationOnly boolean

Simulation-only or Simulation + Evaluation. If true the scan outputs conversation not evaluation result. The service defaults to false if a value is not specified by the caller.

riskCategories RiskCategory[]

List of risk categories to generate attack objectives for.

applicationScenario string

Application scenario for the red team operation, to generate scenario specific attacks.

tags object

Red team's tags. Unlike properties, tags are fully mutable.

[key: string] string
properties object

Red team's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.

[key: string] string
status string

Status of the red-team. It is set by service and is read-only.

target AzureOpenAIModel necessario

Abstract class for target configuration.

Uno dei seguenti:
AzureOpenAIModel AzureOpenAIModelConfiguration

Azure OpenAI model configuration. The API version would be selected by the service for querying the model.

type enum necessario
AzureOpenAIModel
modelDeploymentName string necessario

Deployment name for AOAI model. Example: gpt-4o if in AIServices or connection based connection_name/deployment_name (e.g. my-aoai-connection/gpt-4o).

Risposte

The request has succeeded and a new resource has been created as a result.

Corpo

Content-Type: application/json
id string necessario

Identifier of the red team run.

displayName string

Name of the red-team run.

numTurns integer

Number of simulation rounds.

attackStrategies AttackStrategy[]

List of attack strategies or nested lists of attack strategies.

simulationOnly boolean

Simulation-only or Simulation + Evaluation. If true the scan outputs conversation not evaluation result. The service defaults to false if a value is not specified by the caller.

riskCategories RiskCategory[]

List of risk categories to generate attack objectives for.

applicationScenario string

Application scenario for the red team operation, to generate scenario specific attacks.

tags object

Red team's tags. Unlike properties, tags are fully mutable.

[key: string] string
properties object

Red team's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.

[key: string] string
status string

Status of the red-team. It is set by service and is read-only.

target AzureOpenAIModel necessario

Abstract class for target configuration.

Uno dei seguenti:
AzureOpenAIModel AzureOpenAIModelConfiguration

Azure OpenAI model configuration. The API version would be selected by the service for querying the model.

type enum necessario
AzureOpenAIModel
modelDeploymentName string necessario

Deployment name for AOAI model. Example: gpt-4o if in AIServices or connection based connection_name/deployment_name (e.g. my-aoai-connection/gpt-4o).

Client error

Corpo

Content-Type: application/json
error OpenAI.Error necessario
code string | null necessario
message string necessario
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Uno qualsiasi dei seguenti:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string necessario

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Corpo

Content-Type: application/json
error OpenAI.Error necessario
code string | null necessario
message string necessario
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Uno qualsiasi dei seguenti:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string necessario

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Richiedi

POST /redTeams/runs:run HTTP/1.1

Response

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
it-it
Scelte sulla privacy
  • Dichiarazione di non responsabilità relativa all'intelligenza artificiale
  • Versioni precedenti
  • Blog
  • Collabora
  • Riservatezza
  • Privacy dei dati sanitari dei consumatori
  • Condizioni per l'utilizzo
  • Accessibilità
  • Marchi
  • © Microsoft 2026